
uniform sampler2D textureSampler0;

varying vec3 pos;

void main() {

	gl_FragColor = texture2D(textureSampler0, gl_TexCoord[0].st);

	gl_FragColor = vec4(0, 0, 0, 0.25 * gl_FragColor.w) * gl_Color;

}

